Bulletin d'alerte Debian

DSA-1841-1 git-core -- Déni de service

Date du rapport :
25 juillet 2009
Paquets concernés :
git-core
Vulnérabilité :
Oui
Références dans la base de données de sécurité :
Dans le système de suivi des bogues Debian : Bogue 532935.
Dans le dictionnaire CVE du Mitre : CVE-2009-2108.
Plus de précisions :

git-daemon, qui fait partie de git-core, un système de contrôle de versions populaire, est vulnérable à des attaques par déni de service causées par une erreur de programmation dans le traitement des requêtes contenant des arguments supplémentaires non reconnus, ce qui résulte en une boucle infinie. Bien que ce ne soit pas un problème pour le démon lui-même puisque chaque requête lance une nouvelle instance de git-daemon, cela résulte tout de même en une consommation de processeur très élevée et pourrait conduire à des situations de déni de service.

Pour la distribution oldstable (Etch), ce problème a été corrigé dans la version 1.4.4.4-4+etch3.

Pour la distribution stable (Lenny), ce problème a été corrigé dans la version 1.5.6.5-3+lenny2.

Pour la distribution testing (Squeeze), ce problème a été corrigé dans la version 1:1.6.3.3-1.

Pour la distribution unstable (Sid), ce problème a été corrigé dans la version 1:1.6.3.3-1.

Nous vous recommandons de mettre à jour vos paquets git-core.

Corrigé dans :

Debian GNU/Linux 4.0 (etch)

Source :
http://security.debian.org/pool/updates/main/g/git-core/git-core_1.4.4.4-4+etch3.diff.gz
http://security.debian.org/pool/updates/main/g/git-core/git-core_1.4.4.4.orig.tar.gz
http://security.debian.org/pool/updates/main/g/git-core/git-core_1.4.4.4-4+etch3.dsc
Composant indépendant de l'architecture :
http://security.debian.org/pool/updates/main/g/git-core/gitweb_1.4.4.4-4+etch3_all.deb
http://security.debian.org/pool/updates/main/g/git-core/git-svn_1.4.4.4-4+etch3_all.deb
http://security.debian.org/pool/updates/main/g/git-core/git-cvs_1.4.4.4-4+etch3_all.deb
http://security.debian.org/pool/updates/main/g/git-core/git-doc_1.4.4.4-4+etch3_all.deb
http://security.debian.org/pool/updates/main/g/git-core/git-email_1.4.4.4-4+etch3_all.deb
http://security.debian.org/pool/updates/main/g/git-core/git-daemon-run_1.4.4.4-4+etch3_all.deb
http://security.debian.org/pool/updates/main/g/git-core/gitk_1.4.4.4-4+etch3_all.deb
http://security.debian.org/pool/updates/main/g/git-core/git-arch_1.4.4.4-4+etch3_all.deb
Alpha:
http://security.debian.org/pool/updates/main/g/git-core/git-core_1.4.4.4-4+etch3_alpha.deb
AMD64:
http://security.debian.org/pool/updates/main/g/git-core/git-core_1.4.4.4-4+etch3_amd64.deb
ARM:
http://security.debian.org/pool/updates/main/g/git-core/git-core_1.4.4.4-4+etch3_arm.deb
Intel IA-32:
http://security.debian.org/pool/updates/main/g/git-core/git-core_1.4.4.4-4+etch3_i386.deb
Intel IA-64:
http://security.debian.org/pool/updates/main/g/git-core/git-core_1.4.4.4-4+etch3_ia64.deb
Big-endian MIPS:
http://security.debian.org/pool/updates/main/g/git-core/git-core_1.4.4.4-4+etch3_mips.deb
PowerPC:
http://security.debian.org/pool/updates/main/g/git-core/git-core_1.4.4.4-4+etch3_powerpc.deb
IBM S/390:
http://security.debian.org/pool/updates/main/g/git-core/git-core_1.4.4.4-4+etch3_s390.deb
Sun Sparc:
http://security.debian.org/pool/updates/main/g/git-core/git-core_1.4.4.4-4+etch3_sparc.deb

Debian GNU/Linux 5.0 (lenny)

Source :
http://security.debian.org/pool/updates/main/g/git-core/git-core_1.5.6.5-3+lenny2.diff.gz
http://security.debian.org/pool/updates/main/g/git-core/git-core_1.5.6.5.orig.tar.gz
http://security.debian.org/pool/updates/main/g/git-core/git-core_1.5.6.5-3+lenny2.dsc
Composant indépendant de l'architecture :
http://security.debian.org/pool/updates/main/g/git-core/git-gui_1.5.6.5-3+lenny2_all.deb
http://security.debian.org/pool/updates/main/g/git-core/git-arch_1.5.6.5-3+lenny2_all.deb
http://security.debian.org/pool/updates/main/g/git-core/gitk_1.5.6.5-3+lenny2_all.deb
http://security.debian.org/pool/updates/main/g/git-core/git-email_1.5.6.5-3+lenny2_all.deb
http://security.debian.org/pool/updates/main/g/git-core/git-svn_1.5.6.5-3+lenny2_all.deb
http://security.debian.org/pool/updates/main/g/git-core/git-daemon-run_1.5.6.5-3+lenny2_all.deb
http://security.debian.org/pool/updates/main/g/git-core/gitweb_1.5.6.5-3+lenny2_all.deb
http://security.debian.org/pool/updates/main/g/git-core/git-doc_1.5.6.5-3+lenny2_all.deb
http://security.debian.org/pool/updates/main/g/git-core/git-cvs_1.5.6.5-3+lenny2_all.deb
AMD64:
http://security.debian.org/pool/updates/main/g/git-core/git-core_1.5.6.5-3+lenny2_amd64.deb
ARM:
http://security.debian.org/pool/updates/main/g/git-core/git-core_1.5.6.5-3+lenny2_arm.deb
Intel IA-32:
http://security.debian.org/pool/updates/main/g/git-core/git-core_1.5.6.5-3+lenny2_i386.deb
Intel IA-64:
http://security.debian.org/pool/updates/main/g/git-core/git-core_1.5.6.5-3+lenny2_ia64.deb
Big-endian MIPS:
http://security.debian.org/pool/updates/main/g/git-core/git-core_1.5.6.5-3+lenny2_mips.deb
Little-endian MIPS:
http://security.debian.org/pool/updates/main/g/git-core/git-core_1.5.6.5-3+lenny2_mipsel.deb
IBM S/390:
http://security.debian.org/pool/updates/main/g/git-core/git-core_1.5.6.5-3+lenny2_s390.deb
Sun Sparc:
http://security.debian.org/pool/updates/main/g/git-core/git-core_1.5.6.5-3+lenny2_sparc.deb

Les sommes MD5 des fichiers indiqués sont disponibles sur la page originale de l'alerte de sécurité.